Subject: Re: [Gen-art] Genart last call review of draft-ietf-tcpm-alternativebackoff-ecn-09

From: Alissa Cooper <[email-masked]>
Date: Wed, 12 Sep 2018 22:12:45 -0400

Russ, thanks for your review. Gorry, thanks for your response. I have entered a No Objection ballot.

Alissa

> On Aug 17, 2018, at 2:17 PM, Russ Housley <[email-masked]> wrote:
> 
> Reviewer: Russ Housley
> Review result: Ready
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> 
> Document: draft-ietf-tcpm-alternativebackoff-ecn-09
> Reviewer: Russ Housley
> Review Date: 2018-08-17
> IETF LC End Date: 2018-08-28
> IESG Telechat date: unknown
> 
> Summary: Ready
> 
> 
> Major Concerns:
> 
> None
> 
> 
> Minor Concerns:
> 
> Section 2: Please update the first paragraph to reference RFC 8174
> in addition to RFC 2119, as follows: 
> 
>   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
>   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
>   "OPTIONAL" in this document are to be interpreted as described in BCP
>   14 [RFC2119] [RFC8174] when, and only when, they appear in all
>   capitals, as shown here.
> 
> Section 12.1: Please add a normative reference to RFC 7926.
> 
> 
> Nits:
> 
> Abstract: s/RFC3168/RFC 3168/
> 
> Section 1: s/RFC8087 [RFC8087]/[RFC8087]/
> 
> Section 1 says:
> 
>   However, currently used loss-based congestion control mechanisms
>   cannot always utilise a bottleneck link well where there are short
>   queues.
> 
> I stumbled on this sentence.  Maybe it would read better if you said
> that current mechanisms sometimes provides poor link utilization when
> queues are short.
> 
> Section 1: s/allow for short queues only/allow only for short queues/
> 
> Section 6: s/RFC3168 states/[RFC3168] states/ and
>           s/dropped packet [RFC3168]./dropped packet./
> 
> Section 6: s/the TCPM WG or IESG/the TCPM WG or the IESG/
> 
> Section 7" s/TCPM working group/TCPM Working Group/ or /TCPM WG/
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art